using System.Xml.Serialization;

namespace NewRock.Sdk.Transfer.Connect.Request
{
    [XmlRoot("Transfer")]
    public class MenuToExtRequest : INewRockRequest
    {
        [XmlAttribute("attribute")]
        public string Attribute { get; set; }

        [XmlElement("menu")]
        public MenuToExtMenu Menu { get; set; }

        [XmlElement("ext")]
        public MenuToExtExt Ext { get; set; }
    }

    public class MenuToExtMenu
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }

    public class MenuToExtExt
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }
}
